http://www.perlmonks.org?node_id=19729


in reply to Perl to Postyrgess

There are alternate PostgreSQL interface modules such as Pg, Postgres and PgSQL.

They are all modules like DBI, so there's no advantage in terms of being able to install without being superuser. But you don't need to be superuser, just install the modules into your own account and use the 'use lib' directive to point perl to your additional libraries.

I don't think DBI is built into any version of Perl, especially 5.004_04 which is fairly dated.

You can get all the above modules and the DBI drivers from CPAN.